#
# spec file for package gconf2 (Version 2.12.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gtkdoc gzip info insserv iso_ent klogd less libacl libattr libcom_err libdrm libgcc libgcrypt libgpg-error libidl libidl-devel libjpeg libnscd libpng libpng-devel libstdc++ libtool libxcrypt libxml2 libxml2-devel libxslt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gconf2
BuildRequires:  gtk2-devel gtkdoc libidl-devel libxml2-devel openssl-devel orbit2-devel sgml-skel update-desktop-files
URL:            http://www.gnome.org/
%define _name GConf
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL, LGPL
Group:          System/GUI/GNOME
PreReq:         /bin/mkdir /bin/mv /bin/rm /bin/rmdir /bin/ln /bin/chmod
Autoreqprov:    on
Version:        2.12.1
Release:        27.2
Summary:        The GNOME 2.x Desktop Configuration Database System
Source:         ftp://ftp.gnome.org/pub/gnome/sources/%{_name}/2.12/%{_name}-%{version}.tar.bz2
Source1:        gconftool-rebuild
Patch0:         gconf2-predictable-filenames.patch
Patch1:         gconf2-fix-bgo-323479-rml.patch
Patch2:         gconf2-gconftool-reload.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is the development version of GConf, the GNOME configuration
database. It is used by the GNOME 2.x Desktop platform.



Authors:
--------
    Havoc Pennington <hp@redhat.com>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/GUI/GNOME
Requires:       %{name} = %{version} orbit2-devel glib2-devel popt-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Havoc Pennington <hp@redhat.com>

%package doc
Summary:        The GNOME 2.x Desktop Configuration Database System
Group:          System/GUI/GNOME
Requires:       %name = %{version}

%description doc
This is the development version of GConf, the GNOME configuration
database. It is used by the GNOME 2.x Desktop platform.



Authors:
--------
    Havoc Pennington <hp@redhat.com>

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
cp -a %{S:1} .

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
%{suse_update_config}
libtoolize --force
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
 ./configure --prefix=%{prefix} \
        --enable-gtk-doc=yes  \
	--libdir=%{prefix}/%_lib \
	--libexecdir=%{prefix}/lib/GConf/2 \
	--mandir=%{prefix}/share/man \
	--sysconfdir=%{sysconfdir}
make -s

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Empty dir for schemas.
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/gconf/schemas
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/gconf/gconf.xml.defaults
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/gconf/gconf.xml.mandatory
install gconftool-rebuild $RPM_BUILD_ROOT%{prefix}/bin
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
%find_lang %{_name}2
rm $RPM_BUILD_ROOT%{prefix}/%_lib/GConf/2/*.*a

%pre
# Remove obsolete and orphan directories (since 9.1, *gnome2* since 9.0).
rm -rf\
 etc/sysconfig/gconf2\
 etc/opt/gnome/gconf/preconf\
 etc/opt/gnome/gconf/schema-install-source\
 etc/opt/gnome/gconf/su\
 etc/opt/gnome2/gconf/2\
 etc/opt/gnome2/gconf/gconf.xml.defaults\
 etc/opt/gnome2/gconf/schema-install-source

%post
%run_ldconfig
# Avoid orphan GConf database keys. It is not possible to do the update
# cleanly using RPM scriptlets (#48114).
# Worked-around by database rebuild from scratch after each update of
# gconf2 package at the cost of extra time.
# http://bugzilla.gnome.org/show_bug.cgi?id=306924
opt/gnome/bin/gconftool-rebuild
# SuSE Linux 9.0 has a bug, which causes deleting of GConf
# directories. These directories maybe were re-created on first
# subsequent gconftool-2 call, but they have bad permissions (#38644).
# WARNING: We do not support update from 9.0 any more. Run
# manually after update:
#  gconftool-rebuild
#  mkdir -p /etc/opt/gnome/gconf/gconf.xml.mandatory
#  chmod og+rx /etc/opt/gnome/gconf/gconf.xml.mandatory

%postun 
%run_ldconfig
# No other gconf instance exist and schemas directory, too.
# WARNING: If this package will be renamed to gconf and upgraded from <=9.0,
# the directory /etc/opt/gnome/gconf will be deleted by mistake.
if test $1 = 0 -a ! -d etc/opt/gnome/gconf/schemas ; then
    rm -rf etc/opt/gnome/gconf/gconf.xml.defaults
    rm -rf etc/opt/gnome/gconf/gconf.xml.mandatory
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{_name}2.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{sysconfdir}/gconf
%dir %{sysconfdir}/gconf/schemas
%dir %{sysconfdir}/gconf/gconf.xml.defaults
%dir %{sysconfdir}/gconf/gconf.xml.mandatory
%config %{sysconfdir}/gconf/2
%{prefix}/bin/*
%{prefix}/%_lib/libgconf-2*.so*
%dir %{prefix}/%_lib/GConf
%dir %{prefix}/%_lib/GConf/2
%if "%_lib" != "lib"
%dir %{prefix}/lib/GConf
%dir %{prefix}/lib/GConf/2
%endif
%{prefix}/%_lib/GConf/2/*.so*
%{prefix}/lib/GConf/2/*-2
%doc %{prefix}/share/man/man?/*.*
%{prefix}/share/sgml/gconf

%files devel
%defattr(-, root, root)
%{prefix}/%_lib/*.a
%{prefix}/%_lib/*.la
#%{prefix}/%_lib/GConf/2/*.*a
%{prefix}/include/gconf
%{prefix}/share/aclocal/*.m4
%{prefix}/%_lib/pkgconfig/*.pc

%files doc
%defattr(-, root, root)
%{prefix}/share/gtk-doc/html/*

%changelog -n gconf2
* Sun Feb 26 2006 - aj@suse.de
- Reduce BuildRequires.
* Mon Feb 13 2006 - danw@suse.de
- Fix to use the exact patch from the Red Hat bug (which doesn't
  work in all circumstances, but doesn't have potential bad side
  effects either. Discussion in bnc.)
* Mon Feb 13 2006 - danw@suse.de
- Remove SuSEconfig.gconf2 and patch gconftool-2 to do the
  killall -HUP itself. (Based on patch from bugzilla.redhat.com
  173869.) Re-fixes #118384 without needing an extra SuSEconfig
  script.
* Mon Jan 30 2006 - sbrabec@suse.cz
- Added SuSEconfig.gconf2 forcing database reload (#118384).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - rml@suse.de
- Add gconf2-fix-bgo-323479-rml.patch (Fixes Novell #144844)
* Wed Jan 04 2006 - sbrabec@suse.cz
- Improved gconftool-rebuild: not wait on update, support standard
  options, not remove mandatory database.
* Wed Dec 14 2005 - sbrabec@suse.cz
- Added related old version cleanups (feature #2852).
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 2.12.1
* Tue Sep 06 2005 - sbrabec@suse.cz
- Updated to version 2.12.0.
* Mon Aug 22 2005 - gekker@suse.de
- Update to version 2.11.92
* Tue Aug 02 2005 - ro@suse.de
- use gtk2-devel-packages in nfb
* Mon Aug 01 2005 - gekker@suse.de
- Update to version 2.11.90
- Remove upstreamed sentinel patch
* Mon Jul 11 2005 - sbrabec@suse.cz
- Removed unneeded static modules and .la files for modules.
* Fri Jun 17 2005 - gekker@suse.de
- Fix sentinel patch to work with new glib2.
* Tue Jun 07 2005 - gekker@suse.de
- Update to version 2.11.1.
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements (#72282).
* Tue Mar 08 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Feb 10 2005 - gekker@suse.de
- Update toversion 2.9.91
* Wed Feb 02 2005 - meissner@suse.de
- Added sentinel markups to 2 functions.
* Wed Dec 15 2004 - gekker@suse.de
- Update to version 2.9.2
* Mon Nov 22 2004 - ro@suse.de
- make specfile rpm3 compliant ...
  (non numeric if arguments need quoting)
* Fri Nov 19 2004 - gekker@suse.de
- Update to version 2.8.1
* Sat Oct 30 2004 - ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 - sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Tue Aug 17 2004 - sbrabec@suse.cz
- Fixed gconf database permissions in gconftool-rebuild (#43898).
* Fri Aug 06 2004 - clahey@suse.de
- Added gconf2-predictable-filenames.patch from Federico.
* Wed May 05 2004 - sbrabec@suse.cz
- Updated to version 2.6.1.
* Thu Apr 15 2004 - sbrabec@suse.cz
- Updated to version 2.6.0 (GNOME 2.6).
* Tue Mar 30 2004 - sbrabec@suse.cz
- Fixed typos in gconftool-rebuild.
- Support for /usr/local in gconftool-rebuild.
* Wed Mar 17 2004 - sbrabec@suse.cz
- Removed pre-purge one-time action from %%post - now integrated to
  yast2-update (#36196, #33114).
* Thu Mar 11 2004 - sbrabec@suse.cz
- Removed obsolete SuSEconfig.gconf2 (#33114).
- Fixed %%postun to allow future rename of package.
- Added support for one-time rebuild of old schemas in %%post.
* Fri Jan 09 2004 - schwab@suse.de
- Fix quoting in autoconf macros.
* Thu Nov 20 2003 - hhetter@suse.de
- don't use fillup -i anymore
* Thu Nov 13 2003 - sbrabec@suse.cz
- Implemented " all " schemas installation to work around 9.0 %%postun
  lost files (bug #33078) and to remove orphan gconf files (bug #33114).
- Install all schemas to all directories and predefined simple gconf2
  default path.
- Implemented SuSeconfig.gconf2 entries installer (for default panel).
* Tue Nov 11 2003 - sbrabec@suse.cz
- Updated gconf2 path.
- Fixed %%postun.
* Mon Oct 06 2003 - sbrabec@suse.cz
- Updated to version 2.4.0.1.
* Fri Sep 26 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Sep 08 2003 - sbrabec@suse.cz
- Updated %%postun - remove files generated by SuSEconfig.
* Tue Sep 02 2003 - mmj@suse.de
- Add sysconfig metadata [#28876]
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jul 09 2003 - sbrabec@suse.cz
- Call libtoolize and autoreconf (required for amd64).
* Wed Jun 18 2003 - sbrabec@suse.cz
- Updated to version 2.2.1.
- Fixed directory packaging.
- Generate and package docs.
- Prefix clash fix.
- Fixed fillup.
* Mon May 26 2003 - coolo@suse.de
- run ldconfig in %%postun
* Mon Apr 14 2003 - sbrabec@suse.cz
- Require orbit2-devel, not ORBit2-devel for devel package.
* Wed Feb 26 2003 - sbrabec@suse.cz
- FHS fix (bug #24353).
* Wed Jan 29 2003 - hhetter@suse.de
- updated to 2.2.0 release
* Wed Jan 22 2003 - ke@suse.de
- Add sysconfig metadata; reported by Ladislav Slezak [# 22643].
* Wed Jan 15 2003 - sbrabec@suse.cz
- Added expat to neededforbuild.
* Wed Jan 15 2003 - hhetter@suse.de
- updated to version 2.1.90
- filelist fix
* Mon Sep 02 2002 - hhetter@suse.de
- allow updating every new schemas files except it is
  already provided in preconfiguration (Bug Id#18707)
- surpress warnings from older schemas files (Bug Id#18570)
* Tue Aug 20 2002 - hhetter@suse.de
- added prereqs
* Fri Aug 09 2002 - kukuk@suse.de
- Add openssl to neededforbuild
* Thu Aug 08 2002 - hhetter@suse.de
- run gconf2-initial after the normal schema
  copying procedure, to ensure schemas are available
  ( Bug Id# 17437)
* Wed Aug 07 2002 - hhetter@suse.de
- updated to version 1.2.1
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Wed Jul 10 2002 - hhetter@suse.de
- provide correct default path for dist <= 7.3
- rebuild the database if the gconf2-initial flag is touched
- reduce verbosity level
- create gconf.xml.mandatory if it does not exist
- some cleanups
* Wed Jul 10 2002 - hhetter@suse.de
- fix install path for dist <= 7.3
* Fri Jul 05 2002 - hhetter@suse.de
- fix default strings
* Fri Jul 05 2002 - hhetter@suse.de
- maintain three default configuration sources (root,user,orig.
  GNOME) on dist >= 8.0
- configuration source switchable via sysconfig
* Fri Jun 28 2002 - hhetter@suse.de
- fix require name=%%{ver} for devel package
* Thu Jun 20 2002 - hhetter@suse.de
- create gconf.xml.defaults if it does not exist
  (needed by a single GNOME2 installation)
* Thu Jun 20 2002 - hhetter@suse.de
- fix gconf path
- include schema-install-source to force schema installation
  location
* Fri Jun 14 2002 - hhetter@suse.de
- correctly set configuration source
* Thu Jun 13 2002 - hhetter@suse.de
- use gconf1 database as gconf2 source to enable upgrades
  without config loss
- supply a correct path-file
- set gconf2 configuration source in SuSEconfig script
* Wed Jun 12 2002 - hhetter@suse.de
- updated to version 1.2.0
- SuSEconfig.gconf2 ensures correct schema registration
  in the gconf database
* Tue Jun 04 2002 - hhetter@suse.de
- updated to 1.1.11, source frozen
- remove db patch, this backend is not needed
* Wed May 22 2002 - meissner@suse.de
- moved aclocal m4 file where it belongs.
* Tue May 14 2002 - ro@suse.de
- fix filelist
* Tue May 14 2002 - ro@suse.de
- use libdir
* Tue Apr 09 2002 - hhetter@suse.de
- build with DB depending on SuSE version
- updated to version 1.1.9 [gnome desktop beta3]
* Fri Feb 01 2002 - hhetter@suse.de
- patched to build with db4.0
- build the db backend
* Thu Jan 31 2002 - hhetter@suse.de
- updated to version 1.1.6 [gnome desktop alpha2]
* Thu Jan 17 2002 - hhetter@suse.de
- finally move gconftool back into main package,
  it is needed at runtime
* Thu Jan 17 2002 - hhetter@suse.de
- prefix to /opt/gnome2
* Tue Jan 15 2002 - hhetter@suse.de
- gconftool now moved into devel package
* Mon Jan 14 2002 - hhetter@suse.de
- remove the link to gconftool-2, will be fixed in
  the GNOME session scripts, depending on the desktop
  version being loaded
* Fri Jan 11 2002 - hhetter@suse.de
- added freetype2/-devel to #neededforbuild
* Tue Jan 08 2002 - hhetter@suse.de
- initial SuSE Release for GNOME 2.0 platform
- use newer version instead of the broken 1.1.1
- install pkconfig files in correct place
